Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065784 - Black screen with integrated graphics
Summary: Black screen with integrated graphics
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 23:50 UTC by Chris Murphy
Modified: 2015-06-29 15:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:14:52 UTC


Attachments (Terms of Use)
Xorg.0.log (deleted)
2014-02-16 23:50 UTC, Chris Murphy
no flags Details
dmesg 3.14.0-0.rc2.git4.1.fc21.x86_64 (deleted)
2014-02-16 23:50 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-02-16 23:50:01 UTC
Created attachment 863899 [details]
Xorg.0.log

Description of problem:
Black screen

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.15-fc20.x86_64
kernels 3.11.10 through 3.14.0-0.rc2.git4.1.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot with radeon.modeset=0
2.
3.

Actual results:
Black screen shortly after initramfs unpacking.


Expected results:
Working display


Additional info:

Does work with i915.modeset=0 using discrete graphics. Does work with discrete graphics disabled in OS X.

00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Apple Inc. Device [106b:00dc]

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] [1002:6741] (prog-if 00 [VGA controller])
	Subsystem: Apple Inc. MacBookPro8,2 [Core i7, 15", Late 2011] [106b:00e2]

Comment 1 Chris Murphy 2014-02-16 23:50:50 UTC
Created attachment 863900 [details]
dmesg 3.14.0-0.rc2.git4.1.fc21.x86_64

Comment 2 Fedora End Of Life 2015-05-29 10:56:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 15:14:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.